Rendre ModalCart compatible avec BlockLayered

Le module BlockLayered de Prestashop n’étant pas compatible avec ModalCart, voici un petit article permettant de corriger ce problème.

Comme il n’y a pas d’appel du fichier javascript de ModalCart dans le fichier product-list.tpl . Il va donc falloir l’ajouter manuellement.

Pour cela, rendez vous dans le répertoire de votre thème, et ouvrez le fichier product-list.tpl  avez un éditeur de texte.

Localiser le code suivant:

{if isset($products)}
<!-- Products list -->
Et remplacez le par celui-ci
{if isset($products)}
<script type="text/javascript" src="{$modules_dir}pm_modalcart/js/pm_modalcart.js">
</script>
<!-- Products list -->
Enregistrez votre fichier avec la modification. (Envoyez le sur votre serveur via FTP si vous avez effectuer la modification en local)
N’oubliez pas de vider le contenu du dossier /tools/smarty/compile/ de votre installation Prestashop, afin d’appliquer les changements à votre site.

Bonne continuation.

2 réflexions au sujet de « Rendre ModalCart compatible avec BlockLayered »

  1. mim

    Hi there,
    first of all, thx for your lovely works and great modules, great job 😉

    but I had a question, why your modules dosn’t work on local hosts?!
    I tried them in 3 diffrent computers (with wamp) and they had some problems with database (returning some errors about ID… )
    can you tell me if it’s a bug of your modules or just a limitation or am I doing something wrong? :/

    thx, 😉

    Répondre
  2. corentin

    Hi Mim,

    Im not sure why you are having those problems on localhost. We have been using wamp a few times and we never had any problem with it.

    Maybe you should try to look at the SQL user permissions?

    Hope you will solve your problems.

    Best regards

    Corentin

    Répondre

Laisser un commentaire

Votre adresse de messagerie ne sera pas publiée. Les champs obligatoires sont indiqués avec *